Given a stream of data, split the data into individual categories/actors/vehicles.

Create a file for every new actor/vehicle we see in the stream. 

Append to the specific actor/vehicle file otherwise.

Notify the Juggler once the job's done...